setup <- function (vs_needed_packages)
  
{
  vs_packages_to_be_installed <- vs_needed_packages[!(vs_needed_packages %in% installed.packages()[,"Package"])]
  if(length(vs_packages_to_be_installed)) install.packages(vs_packages_to_be_installed)
  remove(vs_packages_to_be_installed)
  
  for (i in vs_needed_packages)
  {
    require(i, character.only = TRUE)
  }
  

  source( "./bayesian_areal_kriging/averageCov.R")
  source( "./bayesian_areal_kriging/postParams.R")
  source( "./bayesian_areal_kriging/refPriora.R") 
  
}